Debian Bug report logs - #700902
boot: luks persistence fails because load_keymap outputs a message about "Loading"

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: stack <stack@inventati.org>

Date: Tue, 19 Feb 2013 00:57:02 UTC

Severity: normal

Tags: patch

Found in version live-boot/3.0.1-1

Fixed in version live-boot/4.0~a7-1

Done: Daniel Baumann <daniel@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#700902; Package live-boot. (Tue, 19 Feb 2013 00:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to stack <stack@inventati.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 19 Feb 2013 00:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: stack <stack@inventati.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: boot: luks persistence fails because load_keymap outputs a message about "Loading"
Date: Tue, 19 Feb 2013 01:47:43 +0100
[Message part 1 (text/plain, inline)]
Package: live-boot
Version: 3.0.1-1
Severity: normal
Tags: patch

Hello,
this bug is about live-boot and luks persistence, I've tried to build
minimal live builds with suggestions from people on the channel and they
worked fine (sid builds), but whenever I permitted apt to 
pull recommends packages I was unable to have persistence working.
I also found similar errors on the mailing list but no fix: 1

The relevant boot message is this one: 

 ' Begin: Running /scripts/live-realpremount ... done.
  Begin: Mounting "/live/medium/live/filesystem.squashfs" on "//filesystem.squashfs" via "/dev/loop0" ... done.
  Enter passphrase for /dev/sdb2: 
  mount: mounting Loading on /live/persistence/Loading failed: No such device
  sort: /tmp/custom_mounts.list: No such file or directory
  /init: line 1: can't open /tmp/custom_mounts.list: no such file
  rm: can't remove '/tmp/custom_mounts.list': No such file or directory
  umount: can't umount /live/overlay: Device or resource busy
  done.
  Begin: Configuring fstab ... done.
  Begin: Preconfiguring networking ... done.

notice the "mounting Loading", message.
I supposed that something was screwing the return value of open_luks_device 
so I wrote a possible patch, that in my case resolves this issue.

thanks
best regards


here it is the auto/config used (in package-lists/desktop.list.chroot I also have
tasks-xfce-desktop)

   mirror="http://ftp.debian.org/debian/"  
   security_mirror="http://ftp.debian.org/debian-security/"  
   lb config noauto \
       -a i386 \
       -b hdd \
       -d sid \
       --linux-flavours 686-pae \
       --mode debian \
       --debian-installer live \
       --debian-installer-gui true \
       --bootappend-live "\
       boot=live \
       config \
       persistent=cryptsetup \
       persistence-encryption=luks \
       username=stack \
       hostname=acqua \
       persistence \
       live-config.locales=it_IT live-config.timezone=Europe/Rome live-config.keyboard-layouts=it \
       " \
       --archive-areas "main contrib non-free" \
       --apt-recommends true \
       --linux-packages linux-image-3.7-trunk \
       --mirror-bootstrap "${mirror}" \
       --mirror-binary "${mirror}" \
       --mirror-chroot-security "${security_mirror}" \
       --mirror-binary-security "${security_mirror}" \
      "${@}"
[luks_persistence_loadkeys.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#700902; Package live-boot. (Tue, 19 Feb 2013 04:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Hare <davidahare@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 19 Feb 2013 04:00:05 GMT) Full text and rfc822 format available.

Message #10 received at 700902@bugs.debian.org (full text, mbox):

From: David Hare <davidahare@gmail.com>
To: stack <stack@inventati.org>, 700902@bugs.debian.org
Subject: Re: Bug#700902: boot: luks persistence fails because load_keymap outputs a message about "Loading"
Date: Tue, 19 Feb 2013 03:59:03 +0000
On 19/02/13 00:47, stack wrote:
> Package: live-boot
> Version: 3.0.1-1
> Severity: normal
> Tags: patch
>
> Hello,
> this bug is about live-boot and luks persistence, I've tried to build
> minimal live builds with suggestions from people on the channel and they
> worked fine (sid builds), but whenever I permitted apt to
> pull recommends packages I was unable to have persistence working.
> I also found similar errors on the mailing list but no fix: 1
>
> The relevant boot message is this one:
>
>   ' Begin: Running /scripts/live-realpremount ... done.
>    Begin: Mounting "/live/medium/live/filesystem.squashfs" on "//filesystem.squashfs" via "/dev/loop0" ... done.
>    Enter passphrase for /dev/sdb2:
>    mount: mounting Loading on /live/persistence/Loading failed: No such device
>    sort: /tmp/custom_mounts.list: No such file or directory
>    /init: line 1: can't open /tmp/custom_mounts.list: no such file
>    rm: can't remove '/tmp/custom_mounts.list': No such file or directory
>    umount: can't umount /live/overlay: Device or resource busy
>    done.
>    Begin: Configuring fstab ... done.
>    Begin: Preconfiguring networking ... done.
>
> notice the "mounting Loading", message.
> I supposed that something was screwing the return value of open_luks_device
> so I wrote a possible patch, that in my case resolves this issue.
>
> thanks
> best regards
>
>
> here it is the auto/config used (in package-lists/desktop.list.chroot I also have
> tasks-xfce-desktop)
>
>     mirror="http://ftp.debian.org/debian/"
>     security_mirror="http://ftp.debian.org/debian-security/"
>     lb config noauto \
>         -a i386 \
>         -b hdd \
>         -d sid \
>         --linux-flavours 686-pae \
>         --mode debian \
>         --debian-installer live \
>         --debian-installer-gui true \
>         --bootappend-live "\
>         boot=live \
>         config \
>         persistent=cryptsetup \
>         persistence-encryption=luks \
>         username=stack \
>         hostname=acqua \
>         persistence \
>         live-config.locales=it_IT live-config.timezone=Europe/Rome live-config.keyboard-layouts=it \
>         " \
>         --archive-areas "main contrib non-free" \
>         --apt-recommends true \
>         --linux-packages linux-image-3.7-trunk \
>         --mirror-bootstrap "${mirror}" \
>         --mirror-binary "${mirror}" \
>         --mirror-chroot-security "${security_mirror}" \
>         --mirror-binary-security "${security_mirror}" \
>        "${@}"


Custom Wheezy live image on usb here, using live-boot 3.0.11~b-1, with 
syslinux setup.

I have LUKS second partition containing a ext2 filesystem labelled 
"persistence". That contains a file "persistence.conf" with text "/home 
union,sources=.

I rebuilt the initrd with patched 9990-misc-helpers.sh

It now works!

Except .. if i use "debug" .. then everything hangs at:

ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver

More info? Can't save a debug log from a total freezeup situation.



Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 19 Feb 2013 05:06:03 GMT) Full text and rfc822 format available.

Notification sent to stack <stack@inventati.org>:
Bug acknowledged by developer. (Tue, 19 Feb 2013 05:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 700902-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 700902-close@bugs.debian.org
Subject: Bug#700902: fixed in live-boot 4.0~a7-1
Date: Tue, 19 Feb 2013 05:02:32 +0000
Source: live-boot
Source-Version: 4.0~a7-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700902@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 Feb 2013 05:49:37 +0100
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 4.0~a7-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Live System Boot Scripts
 live-boot-doc - Live System Boot Scripts (documentation)
 live-boot-initramfs-tools - Live System Boot Scripts (initramfs-tools backend)
Closes: 700902
Changes: 
 live-boot (4.0~a7-1) experimental; urgency=low
 .
   * Silencing unmounting of potentially stray tmpfs on /live/overlay.
   * Making loadkeys call quiet in order to not mess-up persistence, thanks
     to stack <stack@inventati.org> (Closes: #700902).
Checksums-Sha1: 
 da993dd31bc2021529b03d5f69c2821c25252f0e 1376 live-boot_4.0~a7-1.dsc
 269095bd878c78f08c8616946f941c5c9112f073 58368 live-boot_4.0~a7.orig.tar.xz
 6b20006c80fa91c464690147f5add9967fb218e2 22560 live-boot_4.0~a7-1.debian.tar.xz
 2b850070a3c7ff2feade55bde81da8dfdf9686dc 48838 live-boot_4.0~a7-1_all.deb
 ab3093f45a2c741686fc2b6583b8c1d8422522b9 51734 live-boot-doc_4.0~a7-1_all.deb
 e137cf163eb51ec6ef521dd71e88ceb9f8d6fbff 26612 live-boot-initramfs-tools_4.0~a7-1_all.deb
Checksums-Sha256: 
 c1816f195509ad321f8b96f9e65af62c5fc4fb9bf4322b11bccf026a465cb41b 1376 live-boot_4.0~a7-1.dsc
 b992b74f9ad623efda271da4a890968bbbca34c93d32ed7cddafd174274b401e 58368 live-boot_4.0~a7.orig.tar.xz
 4a101485a2c94e157ee2feca1182a1cf64493859b67b16ba60a6ca51a5863ec3 22560 live-boot_4.0~a7-1.debian.tar.xz
 64da66169889598caf8c6e55941ef873b3a852b3a9dc7289632c7f83dd46ffd1 48838 live-boot_4.0~a7-1_all.deb
 438dd18a3b500109a2a3ef9c2cf320e67b8ea2b3ed41d716374dd0929d218077 51734 live-boot-doc_4.0~a7-1_all.deb
 73d499d6cb299d99ebeaacb95c7c067c98e79d2285b9d3c3e5d25c7a1d3bd0ed 26612 live-boot-initramfs-tools_4.0~a7-1_all.deb
Files: 
 457547b1d6a4aa561727aa0d4c4f8733 1376 misc optional live-boot_4.0~a7-1.dsc
 baba7f1d13a38d1cafd6463fc01b5e28 58368 misc optional live-boot_4.0~a7.orig.tar.xz
 0fc2d264ea76c3367f03d70a489b525d 22560 misc optional live-boot_4.0~a7-1.debian.tar.xz
 26a92c810a169190c69fd4b6fa05b04f 48838 misc optional live-boot_4.0~a7-1_all.deb
 177870f52ba0b8c868731307ef503807 51734 doc optional live-boot-doc_4.0~a7-1_all.deb
 30e50d62f3a7f5c761bc16e031933838 26612 misc optional live-boot-initramfs-tools_4.0~a7-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEjBKEACgkQ+C5cwEsrK54QxwCfTHB/7WjwYtWzF6tW7sEKc2Yf
l6UAnj8u0b3VkUQZDvhRgH9YSyWNYnNb
=ReDb
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#700902; Package live-boot. (Fri, 24 May 2013 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to anonym <anonym@lavabit.com>:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Fri, 24 May 2013 15:00:03 GMT) Full text and rfc822 format available.

Message #20 received at 700902@bugs.debian.org (full text, mbox):

From: anonym <anonym@lavabit.com>
To: 700902@bugs.debian.org
Subject: Re: Bug#700902: fixed in live-boot 4.0~a7-1
Date: Fri, 24 May 2013 16:56:26 +0200
[Message part 1 (text/plain, inline)]
Hi,

The bug is indeed fixed in live-boot 4.x, but we're still suffering from
it in Wheezy's live-boot. Can you please backport commit 2908ddf to
live-boot 3.x?

Cheers!

[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:27:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.